POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "3acbedb5-75b7-410e-91ec-7faa9197eb69"
},
{
"code": "sample string 1",
"id": "3acbedb5-75b7-410e-91ec-7faa9197eb69"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "9abe27f3-6ff0-4631-91f0-9308431679b1",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "ec4ffa28-aac3-4557-8fce-b9bd392a8645",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "2066c4b5-6cd8-42ae-962f-b3c3b474d1f8",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "9abe27f3-6ff0-4631-91f0-9308431679b1",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "ec4ffa28-aac3-4557-8fce-b9bd392a8645",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "2066c4b5-6cd8-42ae-962f-b3c3b474d1f8",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "26cb4b3a-d5c2-4239-9a45-3a4cce8d48fa",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "3a0e40f9-e6d1-4322-85a2-6c08de27d9ac",
"guard_id": "6a58ee99-ba2a-45bf-9d9a-379b775d299e",
"active": true
},
{
"id": "26cb4b3a-d5c2-4239-9a45-3a4cce8d48fa",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "3a0e40f9-e6d1-4322-85a2-6c08de27d9ac",
"guard_id": "6a58ee99-ba2a-45bf-9d9a-379b775d299e",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "a06ffdd3-4fd6-409c-8d60-bb64df31b9cf",
"firstname": "sample string 11",
"id": "9d74b37c-7ce8-46b3-89be-a8440814ff76",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-03-11T06:51:41.6064034+00:00",
"role_id": "fb5b8f33-2c06-4b84-a4df-bfde355dd387"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>a06ffdd3-4fd6-409c-8d60-bb64df31b9cf</customer_id>
<firstname>sample string 11</firstname>
<id>9d74b37c-7ce8-46b3-89be-a8440814ff76</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>fb5b8f33-2c06-4b84-a4df-bfde355dd387</role_id>
<webapp_password_last_update>2026-03-11T06:51:41.6064034+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>3a0e40f9-e6d1-4322-85a2-6c08de27d9ac</distribution_id>
<guard_id>6a58ee99-ba2a-45bf-9d9a-379b775d299e</guard_id>
<id>26cb4b3a-d5c2-4239-9a45-3a4cce8d48fa</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>3a0e40f9-e6d1-4322-85a2-6c08de27d9ac</distribution_id>
<guard_id>6a58ee99-ba2a-45bf-9d9a-379b775d299e</guard_id>
<id>26cb4b3a-d5c2-4239-9a45-3a4cce8d48fa</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>3acbedb5-75b7-410e-91ec-7faa9197eb69</ID>
<code>sample string 1</code>
</right>
<right>
<ID>3acbedb5-75b7-410e-91ec-7faa9197eb69</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>9abe27f3-6ff0-4631-91f0-9308431679b1</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>ec4ffa28-aac3-4557-8fce-b9bd392a8645</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>2066c4b5-6cd8-42ae-962f-b3c3b474d1f8</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>9abe27f3-6ff0-4631-91f0-9308431679b1</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>ec4ffa28-aac3-4557-8fce-b9bd392a8645</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>2066c4b5-6cd8-42ae-962f-b3c3b474d1f8</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"757e3d5c-25fc-4b3d-b8bc-9121e807c1ab"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">757e3d5c-25fc-4b3d-b8bc-9121e807c1ab</guid>